import { UmbLitElement } from '../../../../core/lit-element/index.js';
import { type UmbModalContext } from '../../../../core/modal/index.js';
export declare class UmbCurrentUserMfaModalElement extends UmbLitElement {
    #private;
    modalContext?: UmbModalContext;
    private _items;
    private _isLoading;
    private _error?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbCurrentUserMfaModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-current-user-mfa-modal': UmbCurrentUserMfaModalElement;
    }
}
